%define oname   childprocess

Name:       ruby-%{oname}
Version:    0.3.9
Release:    %mkrel 5
Summary:    Cross-platform ruby library for managing child processes
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/jarib/childprocess
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This gem aims at being a simple and reliable solution for controlling
external programs running in the background on any Ruby / OS combination.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install
 
chmod 644 %{buildroot}%{gem_instdir}/lib/%{oname}/*/process.rb
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.3.9-5.mga4
+ Revision: 561789
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.3.9-4.mga4
+ Revision: 561073
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.3.9-3.mga4
+ Revision: 535305
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.3.9-2.mga4
+ Revision: 481906
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.3.9-1.mga4
+ Revision: 480107
- 0.3.9
- Use gem_setup

* Tue Sep 10 2013 pterjan <pterjan> 0.3.6-4.mga4
+ Revision: 476967
- Fix file list
- Fix to build outside of a git checkout

* Fri Feb 08 2013 umeabot <umeabot> 0.3.6-3.mga3
+ Revision: 395738
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-2.mga3
+ Revision: 380671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.3.6-1.mga3
+ Revision: 312743
- new version 0.3.6

* Sat Aug 11 2012 shlomif <shlomif> 0.3.5-1.mga3
+ Revision: 280632
- New version 0.3.5

* Fri Jun 08 2012 shlomif <shlomif> 0.3.2-1.mga3
+ Revision: 257806
- New version: 0.3.2

* Tue Apr 19 2011 shikamaru <shikamaru> 0.1.8-1.mga1
+ Revision: 88775
- new version 0.1.8

* Sat Feb 19 2011 shikamaru <shikamaru> 0.1.7-1.mga1
+ Revision: 54144
- add ffi to the list of buildrequires
- add jeweler to the list of buildrequires
- imported package ruby-childprocess


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.7-1
- Initial package
